Subject: bug#65913: with-help-window arranges for 'inhibit-read-only' to be set to 't'

From: uzibalqa <[email-masked]>
Date: Wed, 13 Sep 2023 19:16:52 +0000

------- Original Message -------
On Thursday, September 14th, 2023 at 7:03 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Wed, 13 Sep 2023 14:54:04 +0000
> > From: Heime [email-masked]
> > Cc: Stefan Kangas [email-masked], [email-masked]
> > 
> > > > > Stefan, WDYT?
> > > > 
> > > > I tend to agree with you.
> > > 
> > > OK, so I'm closing this bug.
> > 
> > Congratulations for the disregard ! A disease that makes only the
> > the opinion of maintainers relevant rather than those using it.
> > A Total Disaster.
> 
> 
> Please don't be unfair. Your opinions were heard and considered.
> They were not rejected because they are irrelevant or for any other
> such reason. We do not have to agree with everything you say,
> especially after we explain why the doc string of that particular
> function is not the right place to mention inhibit-read-only. Other
> doc strings, which are a better place, do mention it.

The purpose of the docstring should be expanded.  And if using the manual
is required, please provide that information from the self documentation.

I disagree with the notion that working with emacs should be hard.  With
most people I communicate with, it is generally agreed that using the
language is hard.  It is the solution that I disagree with.  Because the
solution that I am usually given is to endure the time it takes for everyone 
to learn it.